export LS_COLORS="\
di=0;94\
"

# list current directory’s entries
l() { sh_a__ls "${@}"; }
sh_a__ls() {
	ls \
		--all \
		--color \
		-l \
		-p \
		--time-style "+" \
		"${@}"
}

# list timestamps
lt() { sh_a__ls_time "${@}"; }
sh_a__ls_time() {
	sh_a__ls \
		--time-style "+%Y%m%d-%H%M%S%-:::z" \
		"${@}"
}

# list timestamps recent last
ltr() { sh_a__ls_time_reverse "${@}"; }
sh_a__ls_time_reverse() {
	sh_a__ls_time \
		--reverse \
		-t \
		"${@}"
}
